> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List group statuses

> One of the optional parameters needs to be included in the request.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/list_group_statuses
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/list_group_statuses:
    post:
      tags:
        - Status
      summary: List group statuses
      description: One of the optional parameters needs to be included in the request.
      operationId: list-group-statuses
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGroupStatusesRequest'
            example:
              all: true
      responses:
        '200':
          description: Group statuses.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGroupStatusesResponse'
              example:
                groups_status:
                  '1': online
                  '2': offline
                  '3': online_for_queue
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    ListGroupStatusesRequest:
      type: object
      properties:
        all:
          type: boolean
          description: When set to `true`, you will get statuses of all the groups.
        group_ids:
          type: array
          items:
            type: integer
          description: A table of groups' IDs.
    ListGroupStatusesResponse:
      type: object
      properties:
        groups_status:
          type: object
          additionalProperties:
            type: string
          description: Map of group IDs to their statuses.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````